Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Class DocumentAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.cache.DocumentAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class DocumentAlreadyExistsException

extends RuntimeException

An exception signalling that a document could not be created because one already exists in the database.

See Also:
  Serialized Form

Constructor Summary
`DocumentAlreadyExistsException(String key)`
`DocumentAlreadyExistsException(String key, String message)`
`DocumentAlreadyExistsException(String key, String message, Throwable cause)`
`DocumentAlreadyExistsException(String key, Throwable cause)`

Method Summary
`String` | `getKey()` Get the document key that was not found
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentAlreadyExistsException

    public DocumentAlreadyExistsException(String key)

Parameters:
  `key` - the key for the node that does not exist

### DocumentAlreadyExistsException

    public DocumentAlreadyExistsException(String key,
                                          String message)

Parameters:
  `key` - the key for the node that does not exist
  `message` - the message

### DocumentAlreadyExistsException

    public DocumentAlreadyExistsException(String key,
                                          Throwable cause)

Parameters:
  `key` - the key for the node that does not exist
  `cause` - the cause of this exception

### DocumentAlreadyExistsException

    public DocumentAlreadyExistsException(String key,
                                          String message,
                                          Throwable cause)

Parameters:
  `key` - the key for the node that does not exist
  `message` - the message
  `cause` - the cause of this exception

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getKey

    public String getKey()

  Get the document key that was not found

  Returns:
    the key for the document that was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.